Package org.talend.transform.runtime.api

# Class ResourceExecutorBase<T extends org.talend.transform.runtime.common.CommonExecutor>

java.lang.Object
org.talend.transform.runtime.api.ResourceExecutorBase<T>

All Implemented Interfaces:
  `org.talend.transform.runtime.common.CommonExecutor`

Direct Known Subclasses:
  `MapExecutorMidImpl`, `StructConverterImpl`

public abstract class ResourceExecutorBase<T extends org.talend.transform.runtime.common.CommonExecutor> extends Object implements org.talend.transform.runtime.common.CommonExecutor

## Constructor Summary

Constructors
Constructor
Description
`ResourceExecutorBase()`

## Method Summary

Modifier and Type
Method
Description
`void`
`cleanUp()`
`int`
`getExceptionThreshold()`
`String`
`getInitialProjectName(org.talend.transform.runtime.common.ResourceLocation resourceLocation)`
First time locate the actual project name (it may differ from the one received in mapLocation in case a timestamp was added).
`String`
`getMessage(String msgId, Object... parms)`
`Set<String>`
`getProjectSet()`
`RuntimeEngine`
`getRuntimeEngine()`
`String`
`getSetupProjectName(org.talend.transform.runtime.common.ResourceLocation resourceLocation)`
Given a hint to the project project name, locate the actual project name that was setup.
`boolean`
`isDSQLRuntime()`
`boolean`
`isEclipseRuntime()`
`boolean`
`isStandardRuntime()`
`protected abstract T`
`self()`
`T`
`setExceptionThreshold(org.talend.transform.runtime.common.SeverityLevel status)`
`T`
`setLoggingLevel(String level)`
`T`
`setLoggingLevel(org.talend.transform.runtime.common.LoggingLevel level)`
`void`
`setupProjects()`
Looks up the project resources on the classpath and adds them to the RuntimeEngine.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ResourceExecutorBase

public ResourceExecutorBase()

## Method Details

### setLoggingLevel

public T setLoggingLevel(org.talend.transform.runtime.common.LoggingLevel level)

Specified by:
  `setLoggingLevel` in interface `org.talend.transform.runtime.common.CommonExecutor`

### setLoggingLevel

public T setLoggingLevel(String level)

Specified by:
  `setLoggingLevel` in interface `org.talend.transform.runtime.common.CommonExecutor`

### setExceptionThreshold

public T setExceptionThreshold(org.talend.transform.runtime.common.SeverityLevel status)

Specified by:
  `setExceptionThreshold` in interface `org.talend.transform.runtime.common.CommonExecutor`

### getRuntimeEngine

public RuntimeEngine getRuntimeEngine()

Returns:
  the RuntimeEngine singleton

### getProjectSet

public Set<String> getProjectSet()

### setupProjects

public void setupProjects() throws org.talend.transform.runtime.common.ResourceConfigurationException
Looks up the project resources on the classpath and adds them to the RuntimeEngine. This results in adding new projects to Eclipse.

Throws:
  `org.talend.transform.runtime.common.ResourceConfigurationException`

### getSetupProjectName

public String getSetupProjectName(org.talend.transform.runtime.common.ResourceLocation resourceLocation)
Given a hint to the project project name, locate the actual project name that was setup.

The project name in the setup resource may differ from the project name in the case of the ESB where a timestamp gets added to the project name to form the actual project name.

Parameters:
  `resourceLocation` -
Returns:

### cleanUp

public void cleanUp()

Specified by:
  `cleanUp` in interface `org.talend.transform.runtime.common.CommonExecutor`

### getInitialProjectName

public String getInitialProjectName(org.talend.transform.runtime.common.ResourceLocation resourceLocation) throws org.talend.transform.runtime.common.ResourceConfigurationException
First time locate the actual project name (it may differ from the one received in mapLocation in case a timestamp was added).

Parameters:
  `resourceLocation` -
Returns:
Throws:
  `org.talend.transform.runtime.common.MapConfigurationException`
  `org.talend.transform.runtime.common.ResourceConfigurationException`

### getMessage

public String getMessage(String msgId, Object... parms)

### getExceptionThreshold

public int getExceptionThreshold()

### isEclipseRuntime

public boolean isEclipseRuntime()

Specified by:
  `isEclipseRuntime` in interface `org.talend.transform.runtime.common.CommonExecutor`

### isStandardRuntime

public boolean isStandardRuntime()

Specified by:
  `isStandardRuntime` in interface `org.talend.transform.runtime.common.CommonExecutor`

### isDSQLRuntime

public boolean isDSQLRuntime()

Specified by:
  `isDSQLRuntime` in interface `org.talend.transform.runtime.common.CommonExecutor`

### self

protected abstract T self()